This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create Server Interface

1 - 1.3

post /v1/servers/{server_id}/interfaces

Description

Create a new network port to the virtual server, or add an existing network port.

When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.

If you want to add an existing network port, enter the port ID.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

2 - 1.2

post /v1/servers/{server_id}/interfaces

Description

Create a new network port to the virtual server, or add an existing network port.

When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.

If you want to add an existing network port, enter the port ID.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

3 - 1.1

post /v1/servers/{server_id}/interfaces

Description

Create a new network port to the virtual server, or add an existing network port.

When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.

If you want to add an existing network port, enter the port ID.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

4 - 1.0

post /v1/servers/{server_id}/interfaces

Description

Create a new network port to the virtual server, or add an existing network port.

When creating a new network port, enter the subnet ID. IP can be set to auto-generate or user input fixed ips.

If you want to add an existing network port, enter the port ID.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}